# Calendar Webhooks - **OpenAPI Version:** `3.1.1` - **API Version:** `1.0.0` The Zoom Calendar webhooks allow developers to receive events for [Zoom Calendar](https://developers.zoom.us/docs/zoom-calendar/) features. ## Servers - **URL:** `https://{your-endpoint-url}` ## Operations ### calendar.event\_delete - **Method:** `POST` - **Path:** `calendar.event_delete` - **Tags:** webhooks The **Event delete** event triggers every time you remove an event in your calendar. ## Prerequisites Enable **Event subscriptions** for your [Marketplace app](http) with the following configurations: - A valid **Event notification endpoint URL**. - The **Event delete** subscription enabled under the **Zoom Calendar** event. #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the event. - **`object`** `object` — The information of the event. - **`event_id`** `string` — The event ID. - **`resource_id`** `string` — The resource ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "event_id": "y95rj3e0i54dbz8hstc2q5qoa1" } } } ``` #### Responses ##### Status: 200 Successfully received the webhook event. ### calendar.acl\_delete - **Method:** `POST` - **Path:** `calendar.acl_delete` - **Tags:** webhooks The **ACL delete** event triggers every time you delete an ACL. ## Prerequisites Enable **Event subscriptions** for your [Marketplace app](http) with the following configurations: - A valid **Event notification endpoint URL**. - The **ACL Delete** subscription enabled under the **Zoom Calendar** event. #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the ACL. - **`object`** `object` — The information of the ACL. - **`acl_id`** `string` — The ACL ID. - **`resource_id`** `string` — The resource ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "acl_id": "user:def@zoom.com" } } } ``` #### Responses ##### Status: 200 Successfully received the webhook event. ### calendar.acl\_create - **Method:** `POST` - **Path:** `calendar.acl_create` - **Tags:** webhooks The **ACL create** event triggers every time you create an ACL. ## Prerequisites Enable **Event subscriptions** for your [Marketplace app](http) with the following configurations: - A valid **Event notification endpoint URL**. - The **ACL Create** subscription enabled under the **Zoom Calendar** event. #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the ACL. - **`object`** `object` — The Information of the ACL. - **`acl_id`** `string` — The ACL ID. - **`resource_id`** `string` — The resource ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "acl_id": "user:def@zoom.com" } } } ``` #### Responses ##### Status: 200 Successfully received the webhook event. ### calendar.event\_create - **Method:** `POST` - **Path:** `calendar.event_create` - **Tags:** webhooks The **Event create** event triggers every time you create an event in your calendar. ## Prerequisites Enable **Event subscriptions** for your [Marketplace app](http) with the following configurations: - A valid **Event notification endpoint URL**. - The **Event Create** subscription enabled under the **Zoom Calendar** event. #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the event. - **`object`** `object` — The information of the event. - **`event_id`** `string` — The event ID. - **`resource_id`** `string` — The resource ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "event_id": "y95rj3e0i54dbz8hstc2q5qoa1" } } } ``` #### Responses ##### Status: 200 Successfully received the webhook event. ### calendar.setting\_create - **Method:** `POST` - **Path:** `calendar.setting_create` - **Tags:** webhooks The **Setting create** event triggers every time you create a setting of your calendar. ## Prerequisites Enable **Event subscriptions** for your [Marketplace app](http) with the following configurations: - A valid **Event notification endpoint URL**. - The **Setting create** subscription enabled under the **Zoom Calendar** event. #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the setting. - **`object`** `object` — The information of the event. - **`resource_id`** `string` — The resource ID. - **`setting_id`** `string` — The setting ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "setting_id": "timezone" } } } ``` #### Responses ##### Status: 200 Successfully received the webhook event. ### calendar.setting\_update - **Method:** `POST` - **Path:** `calendar.setting_update` - **Tags:** webhooks The **Setting update** event triggers every time you update a setting of your calendar. ## Prerequisites Enable **Event subscriptions** for your [Marketplace app](http) with the following configurations: - A valid **Event notification endpoint URL**. - The **Setting update** subscription enabled under the **Zoom Calendar** event. #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the setting. - **`object`** `object` — The information of the event. - **`resource_id`** `string` — The resource ID. - **`setting_id`** `string` — The setting ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "setting_id": "timezone" } } } ``` #### Responses ##### Status: 200 Successfully received the webhook event. ### calendar.calendarlist\_update - **Method:** `POST` - **Path:** `calendar.calendarlist_update` - **Tags:** webhooks The **Calendar list update** event triggers every time you update a calendar in your calendar list. ## Prerequisites Enable **Event subscriptions** for your [Marketplace app](http) with the following configurations: - A valid **Event notification endpoint URL**. - The **Calendar list update** subscription enabled under the **Zoom Calendar** event. #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of a user's calendar where the user can add or remove other calendars for event viewing. - **`object`** `object` — The information of the calendar list. - **`resource_id`** `string` — The resource ID. - **`subscribed_calendar_id`** `string` — The calendar ID that the user subscribes to. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "subscribed_calendar_id": "def@zoom.com" } } } ``` #### Responses ##### Status: 200 Successfully received the webhook event. ### calendar.acl\_update - **Method:** `POST` - **Path:** `calendar.acl_update` - **Tags:** webhooks The **ACL update** event triggers every time you update an ACL. ## Prerequisites Enable **Event subscriptions** for your [Marketplace app](http) with the following configurations: - A valid **Event notification endpoint URL**. - The **ACL Update** subscription enabled under the **Zoom Calendar** event. #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the ACL. - **`object`** `object` — The Information of the ACL. - **`acl_id`** `string` — The ACL ID. - **`resource_id`** `string` — The resource ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "acl_id": "user:def@zoom.com" } } } ``` #### Responses ##### Status: 200 Successfully received the webhook event. ### calendar.event\_update - **Method:** `POST` - **Path:** `calendar.event_update` - **Tags:** webhooks The **Event update** event triggers every time you update an event in your calendar. ## Prerequisites Enable **Event subscriptions** for your [Marketplace app](http) with the following configurations: - A valid **Event notification endpoint URL**. - The **Event update** subscription enabled under the **Zoom Calendar** event. #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — the account ID of the user's calendar that has the event. - **`object`** `object` — The information of the event. - **`event_id`** `string` — The event ID. - **`resource_id`** `string` — The resource ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "event_id": "y95rj3e0i54dbz8hstc2q5qoa1" } } } ``` #### Responses ##### Status: 200 Successfully received the webhook event. ### calendar.calendarlist\_create - **Method:** `POST` - **Path:** `calendar.calendarlist_create` - **Tags:** webhooks The **Calendar list create** event triggers every time you add a calendar to your calendarlist. ## Prerequisites Enable **Event subscriptions** for your [Marketplace app](http) with the following configurations: - A valid **Event notification endpoint URL**. - The **Calendar list create** subscription enabled under the **Zoom Calendar** event. #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of a user's calendar where the user can add or remove other calendars for event viewing. - **`object`** `object` — The information of the calendar list. - **`resource_id`** `string` — The resource ID. - **`subscribed_calendar_id`** `string` — The calendar ID that the user subscribes to. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "subscribed_calendar_id": "def@zoom.com" } } } ``` #### Responses ##### Status: 200 Successfully received the webhook event. ### calendar.calendarlist\_delete - **Method:** `POST` - **Path:** `calendar.calendarlist_delete` - **Tags:** webhooks The **Calendar list delete** event triggers every time you remove a calendar from your calendar list. ## Prerequisites Enable **Event subscriptions** for your [Marketplace app](http) with the following configurations: - A valid **Event otification endpoint URL**. - The **Calendar list delete** subscription enabled under the **Zoom Calendar** event. #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of a user's calendar where the user can add or remove other calendars for event viewing - **`object`** `object` — The information of the calendar list. - **`resource_id`** `string` — The resource ID. - **`subscribed_calendar_id`** `string` — The calendar ID of which the user subscribes. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "subscribed_calendar_id": "def@zoom.com" } } } ``` #### Responses ##### Status: 200 Successfully received the webhook event. ## Schemas ### Calendar.event\_deleteEvent - **Type:**`object` * **`event` (required)** `string` — The name of the event. * **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. * **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the event. - **`object`** `object` — The information of the event. - **`event_id`** `string` — The event ID. - **`resource_id`** `string` — The resource ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "event_id": "y95rj3e0i54dbz8hstc2q5qoa1" } } } ``` ### Calendar.acl\_deleteEvent - **Type:**`object` * **`event` (required)** `string` — The name of the event. * **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. * **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the ACL. - **`object`** `object` — The information of the ACL. - **`acl_id`** `string` — The ACL ID. - **`resource_id`** `string` — The resource ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "acl_id": "user:def@zoom.com" } } } ``` ### Calendar.acl\_createEvent - **Type:**`object` * **`event` (required)** `string` — The name of the event. * **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. * **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the ACL. - **`object`** `object` — The Information of the ACL. - **`acl_id`** `string` — The ACL ID. - **`resource_id`** `string` — The resource ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "acl_id": "user:def@zoom.com" } } } ``` ### Calendar.event\_createEvent - **Type:**`object` * **`event` (required)** `string` — The name of the event. * **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. * **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the event. - **`object`** `object` — The information of the event. - **`event_id`** `string` — The event ID. - **`resource_id`** `string` — The resource ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "event_id": "y95rj3e0i54dbz8hstc2q5qoa1" } } } ``` ### Calendar.setting\_createEvent - **Type:**`object` * **`event` (required)** `string` — The name of the event. * **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. * **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the setting. - **`object`** `object` — The information of the event. - **`resource_id`** `string` — The resource ID. - **`setting_id`** `string` — The setting ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "setting_id": "timezone" } } } ``` ### Calendar.setting\_updateEvent - **Type:**`object` * **`event` (required)** `string` — The name of the event. * **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. * **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the setting. - **`object`** `object` — The information of the event. - **`resource_id`** `string` — The resource ID. - **`setting_id`** `string` — The setting ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "setting_id": "timezone" } } } ``` ### Calendar.calendarlist\_updateEvent - **Type:**`object` * **`event` (required)** `string` — The name of the event. * **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. * **`payload` (required)** `object` - **`account_id`** `string` — The account ID of a user's calendar where the user can add or remove other calendars for event viewing. - **`object`** `object` — The information of the calendar list. - **`resource_id`** `string` — The resource ID. - **`subscribed_calendar_id`** `string` — The calendar ID that the user subscribes to. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "subscribed_calendar_id": "def@zoom.com" } } } ``` ### Calendar.acl\_updateEvent - **Type:**`object` * **`event` (required)** `string` — The name of the event. * **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. * **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the ACL. - **`object`** `object` — The Information of the ACL. - **`acl_id`** `string` — The ACL ID. - **`resource_id`** `string` — The resource ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "acl_id": "user:def@zoom.com" } } } ``` ### Calendar.event\_updateEvent - **Type:**`object` * **`event` (required)** `string` — The name of the event. * **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. * **`payload` (required)** `object` - **`account_id`** `string` — the account ID of the user's calendar that has the event. - **`object`** `object` — The information of the event. - **`event_id`** `string` — The event ID. - **`resource_id`** `string` — The resource ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "event_id": "y95rj3e0i54dbz8hstc2q5qoa1" } } } ``` ### Calendar.calendarlist\_createEvent - **Type:**`object` * **`event` (required)** `string` — The name of the event. * **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. * **`payload` (required)** `object` - **`account_id`** `string` — The account ID of a user's calendar where the user can add or remove other calendars for event viewing. - **`object`** `object` — The information of the calendar list. - **`resource_id`** `string` — The resource ID. - **`subscribed_calendar_id`** `string` — The calendar ID that the user subscribes to. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "subscribed_calendar_id": "def@zoom.com" } } } ``` ### Calendar.calendarlist\_deleteEvent - **Type:**`object` * **`event` (required)** `string` — The name of the event. * **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. * **`payload` (required)** `object` - **`account_id`** `string` — The account ID of a user's calendar where the user can add or remove other calendars for event viewing - **`object`** `object` — The information of the calendar list. - **`resource_id`** `string` — The resource ID. - **`subscribed_calendar_id`** `string` — The calendar ID of which the user subscribes. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "subscribed_calendar_id": "def@zoom.com" } } } ```